Bug 478921 - Review Request: globus-io - Globus Toolkit - uniform I/O interface
Review Request: globus-io - Globus Toolkit - uniform I/O interface
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: gpt 453848 467239 478917 478919
Blocks: 478922 478925 478926 478930 478931
  Show dependency treegraph
 
Reported: 2009-01-05 20:03 EST by Mattias Ellert
Modified: 2009-06-02 10:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 6.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 10:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-01-05 20:03:17 EST
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-io.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-io-6.3-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-io package contains:
uniform I/O interface to stream and datagram style communications

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-xio-gsi-driver-devel
BuildRequires:	globus-gss-assist-devel >= 3
BuildRequires:	globus-xio-devel
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.
Comment 1 Mattias Ellert 2009-03-15 20:01:42 EDT
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-io-6.3-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-io.spec
Comment 2 Mattias Ellert 2009-04-17 09:45:02 EDT
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-io-6.3-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-io.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus
Comment 3 Orcan Ogetbil 2009-05-29 00:32:31 EDT
This one is good to go too. I just have one minor question:

? Requires:       globus-xio-gsi-driver
Is this unversioned explicit library dependency needed (I know that it comes from the gpt file)?

- rpmlint
   globus-io-devel.x86_64: W: no-documentation
can be ignored

- the doxygen doc is not packaged but it seems useless, so this is OK.

- koji rawhide build is fine:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1382226

--------------------------------------------
This package (globus-io) is APPROVED by oget
--------------------------------------------
Comment 4 Mattias Ellert 2009-05-29 02:58:35 EDT
(In reply to comment #3)
> This one is good to go too. I just have one minor question:
> 
> ? Requires:       globus-xio-gsi-driver
> Is this unversioned explicit library dependency needed (I know that it comes
> from the gpt file)?

Yes, it is needed since it is a plugin. It is not linked to so there is no autogenerated requires on it.



New Package CVS Request
=======================
Package Name: globus-io
Short Description: Globus Toolkit - uniform I/O interface
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:
Comment 5 Jason Tibbitts 2009-05-29 11:30:10 EDT
CVS done.
Comment 6 Fedora Update System 2009-05-29 15:37:34 EDT
globus-io-6.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-io-6.3-1.fc10
Comment 7 Fedora Update System 2009-05-29 15:37:39 EDT
globus-io-6.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-io-6.3-1.fc9
Comment 8 Fedora Update System 2009-05-29 15:37:44 EDT
globus-io-6.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-io-6.3-1.fc11
Comment 9 Fedora Update System 2009-06-02 10:32:29 EDT
globus-io-6.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-06-02 10:32:56 EDT
globus-io-6.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-06-02 10:38:01 EDT
globus-io-6.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.